/*-------------------------------------------------------------------
 Description: Basic HTML Example
 Filename: main.cpp
 -------------------------------------------------------------------*/
#include "predef.h" 
#include <stdio.h>
#include <ctype.h>
#include <startnet.h>
#include <autoupdate.h>
#include <dhcpclient.h>
#include <netinterface.h>

extern "C" { 
void UserMain(void * pd);
}

const char * AppName="BasicHtml";

void UserMain(void * pd)
{
    InitializeStack();
    
    int EthernetInterface = GetFirstInterface();  // Get first interface identifier
    InterfaceBlock *ib = GetInterFaceBlock( EthernetInterface ); // Get interface data
    if (ib->netIP == 0) // Check IP address for 0.0.0.0 and use DHCP if necessary
    {
        iprintf("\r\nNo static IP address set, attempting to DHCP\r\n");
        if ( GetDHCPAddress() != DHCP_OK )
           iprintf("*** DHCP Failed \r\n");
        else
           iprintf("DHCP IP Address: ");
    }    
    else
        iprintf("Static IP Address: ");
    ShowIP(ib->netIP); iprintf("\r\n");
    
    OSChangePrio(MAIN_PRIO);
    EnableAutoUpdate();
    StartHTTP();

    iprintf("Application started");
    while (1)
    {
      iprintf("My IP Address is: "); ShowIP(EthernetIP);
		iprintf("\r\n");
		OSTimeDly(TICKS_PER_SECOND * 1);
  }
}

